@import "fonts/montserrat.css";
@import "fonts/faberge.css";

body {
    background-color: #FFFFFF;
    font-family: Montserrat ;
    font-weight: 500;
    font-size: 24px;
    line-height: 100%;
    letter-spacing: 0%;
    text-align: center;
    color: #6B5544;
    padding: 0;
    padding-bottom: 72px;
    margin: 0;
}

div {
    box-sizing: border-box;
}

h1 {
    font-family: Faberge;
    font-weight: 400;
    font-style: italic;
    font-size: 30px;
    line-height: 100%;
    letter-spacing: 0%;
}

h2 {
    font-family: Faberge;
    font-weight: 400;
    font-style: italic;
    font-size: 30px;
    line-height: 100%;
    letter-spacing: 0%;
}


.crumps-wrap {
    display: flex;
    flex-direction: row;
    font-family: Montserrat;
    font-weight: 500;
    font-size: 10px;

}

section, main {
    box-sizing: border-box;
    margin-bottom:12px;
}

main {
    box-sizing: border-box;
    padding-top:16px;
}

.container {
    margin: auto;
    text-align: left;
    width:94%;
}

.main-color {
    color: #6B5544;
}
.main-bg {
    background-color: #6B5544;
}

.secondary-color {
    color: #909F82;
}

.secondary-bg {
    background-color: #909F82;
}

.hidden-mobile {
    display: none;
}

.main-header {
    box-sizing: border-box;
    padding:12px 22px;
    background-color: #6B5544;
    text-align: right;
    z-index: 7;
}

.menu-toggle {
    color: white;
    background: none;
    border: none;
    font-size: 22px;
}
.mobile-menu {
    background-color: #FBFBFB;
    position: absolute;
    top: -100vh; left:0; right: 0;
    transition: top ease-in-out 0.4s;
    background-color: white;
    padding:16px 8px;
    z-index: 11;
}
.mobile-menu a.mobile-link {
    display: block;
    margin-bottom: 18px;
    font-family: Montserrat;
    font-weight: 500;
    font-size: 24px;
    line-height: 100%;
    letter-spacing: 0%;
    text-align: center;
    text-decoration: none;
    color: #6B5544;
}
.mobile-menu.active {
    top: 56px;
}
.bottom-menu {
    position: fixed;
    bottom: 0;
    left: 0;
    right: 0;
    height: 76px;
    background-color: #909F82;
    z-index: 9;
    margin-bottom: 0px !important;
}
.bottom-menu-inner {
    display: grid;
    gap: 10px;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    margin:10px auto;
}
.bottom-menu-inner a {
    display: block;
    color: white;
    text-decoration: none;
    font-family: Montserrat;
    font-weight: 600;
    font-size: 12px;
    line-height: 100%;
    letter-spacing: 0%;
    text-align: center;

}
.main-banner {
    position:relative;
    box-sizing: border-box;
    /* background-image: url(/images/main_banner_bg_mob.jpg);
    background-size: cover; */
    min-height: 65vh;
    padding: 48px 0px 20px;
}

#background-video {
    width: 100vw;
    height: 100%;
    object-fit: cover;
    position: absolute;
    left: 0;
    right: 0;
    top: 0;
    bottom: 0;
    z-index: -1;
 }

.main-banner-inner {
    box-sizing: border-box;
    background-color: #6B5544CF;
    padding: 10px 10px 10px;
    width: 96%;
    margin: 0 auto 310px;
    border: 1px solid #909F82;
    border-radius: 10px;
}

.main-banner-inner h1 {

    color: white;
    font-family: Faberge;
    font-weight: 400;
    font-style: italic;
    font-size: 25px;
    line-height: 100%;
    letter-spacing: 0%;
}
.main-banner-inner h2 {
    color: white;
    font-family: Montserrat;
    font-weight: 500;
    font-size: 16px;
    line-height: 100%;
    letter-spacing: 0%;

}

.btn {
    box-sizing: border-box;
    display: block;
    font-family: Montserrat;
    font-weight: 500;
    font-size: 18px;
    line-height: 100%;
    text-align: center;
    border-radius: 20px;
    padding: 18px 44px;
    background-color: #909F82;
    color: white;
    width: 90%;
    margin: auto;
    text-decoration: none;
}



.feature-grid {
    display: grid;
    gap: 12px;
    grid-template-columns: 1fr;
}

.feature-item {
    border: 1px solid #909F82;
    background-color: #F7F7EF;
    border-radius: 10px;
    padding: 10px;
    font-size: 16px;
}

.feature-item img {
    display: block;
    height: 40px;
    margin-bottom: 20px;
}

.generic-grid {
    display: grid;
    grid-template-columns: 1fr;
    gap: 12px;
    margin-bottom: 12px;
}

.catalog-grid {
    display: grid;
    grid-template-columns: 1fr;
    gap: 12px;
    margin-bottom: 12px;
}

.catalog-grid .three-cols {
    grid-template-columns: 1fr;
}

.catalog-grid .two-cols {
    grid-template-columns: 1fr;
}

.catalog-grid a {
    position: relative;
    overflow: hidden;
    border: 1px solid #909F82;
    background-color: #F7F7EF;
    border-radius: 10px;
    padding: 10px;
    font-size: 16px;
    color: #6B5544;
    text-decoration: none;
    padding-bottom: 147px;
    min-height: 277px;
}

.catalog-grid .rq-form {
    position: relative;
    overflow: hidden;
    border: 1px solid #909F82;
    background:none;
    border-radius: 10px;
    padding: 10px;
    font-size: 16px;
    color: #6B5544;
    text-decoration: none;
    padding: 24px 8px;
    text-align: center;

}

.catalog-grid .rq-form h2 {
    font-family: Faberge;
    font-weight: 400;
    font-style: italic;
    font-size: 22px;
    line-height: 100%;
    letter-spacing: 0%;
    text-align: center;
    margin-bottom: 22px;
}

.catalog-grid .rq-form div {
    font-family: Montserrat;
    font-weight: 500;
    font-size: 16px;
    line-height: 100%;
    letter-spacing: 0%;
    text-align: center;
    margin-bottom: 16px;
}

.catalog-grid a h3 {
    font-family: Faberge;
    font-weight: 400;
    font-style: italic;
    font-size: 22px;
    line-height: 100%;
    letter-spacing: 0%;
}

.catalog-grid a img {
    position:absolute;
    bottom: 0;
    left: 0;
    max-height: 70%;
    max-width: 96%;
}
.catalog-grid a img.right-pos {
    left: auto;
    right: 0;
}

.news-block {
    display: flex;
    flex-direction: column-reverse;
    gap: 12px;
    margin-bottom: 12px;
}

.news-block h2 {
    font-family: Faberge;
    font-weight: 400;
    font-style: italic;
    font-size: 22px;
    line-height: 100%;
    letter-spacing: 0%;
    text-align: center;
    margin-bottom: 22px;
    color:#6B5544;
    text-align: left;
}

.news-block>div {
    position: relative;
    overflow: hidden;
    border: 1px solid #909F82;
    background:none;
    border-radius: 10px;
    padding: 0px;
    font-size: 16px;
    color: #6B5544;
    text-decoration: none;
    
    text-align: left;
}

.news-block .news-item {
    padding: 24px 8px;
}

.news-item .btn {
    display: inline-block;
    width: auto;
    margin: 24px 0 0 0;
}

.news-image {
    line-height: 0;
    overflow: hidden;
}

.news-image img {
    width:100%;
}

.content-section {
    font-family: Montserrat;
    font-weight: 500;
    font-size: 16px;
    text-align: center;
}

a {
    color: #6B5544;
    text-decoration: none;
}

footer {
    background-color: #6B5544;
    color: white;
}
footer a {
    color: white;
}

footer .container {
    display: grid;
    grid-template-columns: 1fr;
    gap: 12px;
}

.bottom-menu-inner a {
    position: relative;
}

footer .container div {
    text-align: center;
    font-family: Montserrat;
    font-weight: 400;
    font-size: 16px;
}


.cart-count-block {
    display: block;
    position: absolute;
    right: 10px;
    top: -6px;
    padding: 4px;
    border-radius: 50%;
    background: white;
    color: #909F82;
    aspect-ratio: 1/1;
    box-sizing: border-box;
    text-align: center;
    width: 22px;
}

.form-address {
    margin-top: 1rem;
}

.text-field-7 {
    display: block;
    color: #3D3835;
    font-size: 14px;
    margin-bottom: 1rem;
    padding: 0.3rem;
    width: 100%;
    box-sizing: border-box;
}

.textarea-2 {
    display: block;
    color: #3D3835;
    font-size: 14px;
    margin-bottom: 1rem;
    padding: 0.3rem;
    width: 100%;
    box-sizing: border-box;
}

.cart-position-data {
        display: flex;
        align-items: center;
        flex-direction: column;
    }

    .cart-position-price {
        display: grid;
        grid-template-columns: 1fr;
        align-items: center;
        justify-content: center;

    }

.custom-banner {
    background-color:#6B5544;
        border-radius: 12px;
        width: 90%;
        height: auto;
        display: grid;
        grid-template-columns: auto;
        margin: 1rem auto;
        overflow: hidden;
        color: white;
        margin-bottom: 1rem;
        background-image: url(/assets/banner.png);
        background-position: right;
        background-repeat: no-repeat;
          background-size: cover;
}

.custom-banner-left {
        box-sizing: border-box;
        padding: 16px 16px;
    }

    .custom-banner-left h3 {
        font-family: izhitsa;
        background-color:#6b5544a9;
        text-transform: uppercase;
        font-size: 20px;
        margin-bottom: 1rem;
        padding: 4px;
    }

    .custom-banner-left div {
        margin-bottom: 1rem;
        font-size: 19px;
        max-width: 60%;
    }

    .custom-banner-left .product-btn {
        background-color: #6B5544;
        border-color: #6B5544;
        color: #909F82;
    }
    .custom-banner-left .product-btn:hover {
        background-color: #909F82;
        color: #6B5544;
    }

@media (min-width: 576px) { 
    .custom-banner {
        width: 90%;
        height: auto;
        grid-template-columns: auto;
        margin: 1rem auto;
    }

}


@media (min-width: 768px) {
    .custom-banner {
        width: 90%;
        height: auto;
        grid-template-columns: auto;
        margin: 1rem auto;
    }
}


@media (min-width: 992px) { 
    body {
        padding-bottom: 0;
    }
    h1 {
        font-family: Faberge;
        font-weight: 400;
        font-style: italic;
        font-size: 30px;
    }

    h2 {
        font-size: 46px;
    }
    section, main {
        margin-bottom:24px;
    }
    main {
        box-sizing: border-box;
        padding-top: 121px;
    }
    .crumps-wrap {
        display: flex;
        flex-direction: row;
    }
    .content-section {
        font-family: Montserrat;
        font-weight: 500;
        font-size: 24px;
        line-height: 100%;
        letter-spacing: 0%;
    }
    .main-header {
        background-color: white;
        position: absolute;
        top:0;
        left:0;
        right:0;
        border-radius: 0 0 20px 20px;
        padding: 32px 0px;
    }
    .main-header .navbar {
        font-family: Montserrat;
        font-weight: 500;
        font-size: 18px;
        line-height: 100%;
        letter-spacing: 0%;
        display: grid;
        grid-template-columns: 2fr 1fr;
        width: 100%;
        margin:auto;
    }
    .main-header .navbar a {
        display: inline-block;
        color: #6B5544;
        text-decoration: none;
    }
    .main-header .navbar a:hover {
        color: #3D3835;
    }
    .menu-left {
        padding-top:10px;
        text-align: left;
    }
    .menu-left a {
        margin-right:48px;
    }
    .menu-right {
        text-align: right;
    }
    .menu-right a {
        position: relative;
    }
    .top-cart-count-block {
        position: absolute;
        font-size: 12px;
        border:    1px solid #6B5544;
        border-radius:    50%;
        padding:    0px 0px;
        background:    white;
        top: -8px;
        right: 0;
        width: 22px;
        text-align: center;
        
    }
    .hidden-desktop {
        display: none;
    }
    .hidden-mobile {
        display: initial;
    }
    .btn {
        display: block;
        font-family: Montserrat;
        font-weight: 500;
        font-size: 24;
        line-height: 100%;
        text-align: center;
        border-radius: 20px;
        padding: 32px 44px;
        width: 394px;
        text-decoration: none;
    }
    .main-banner {
        min-height: 567px;
        /* background-image: url(/images/main_banner_bg.jpg); */
        background-size: cover;
        padding-top:180px;
        box-sizing: border-box;
        padding-bottom: 120px;
    }
    .main-banner-inner {
        box-sizing: border-box;
        background-color: #6B5544CF;
        padding: 40px 0px 20px;
        width: 80%;
        margin: 0 auto 130px;
        border: 1px solid #909F82;
        border-radius: 10px;

    }
    .feature-grid {
        display: grid;
        gap: 24px;
        grid-template-columns: 1fr 1fr;
    }
    
    .feature-item {
        padding: 24px;
        font-size: 24px;
    }
    .feature-item img {
        height: 50px;
        margin-bottom: 25px;
    }

    .generic-grid {
        display: grid;
        grid-template-columns: 1fr 1fr;
        gap: 24px;
        margin-bottom: 24px;
    }

    .catalog-grid {
        gap: 24px;
        margin-bottom: 24px;
    }

    .catalog-grid a {
        font-size: 24px;
    }
    .catalog-grid a h3 {
        font-size: 32px;
    }
    
    .catalog-grid.three-cols {
        grid-template-columns: 1fr 1fr 1fr;
    }
    
    .catalog-grid.two-cols {
        grid-template-columns: 1fr 1fr;
    }

        
    .catalog-grid .rq-form h2 {
        font-size: 72px;
    }

    .catalog-grid .rq-form div {
        font-family: Montserrat;
        font-weight: 500;
        font-size: 24px;
        line-height: 100%;
        letter-spacing: 0%;
        text-align: center;       
        margin-bottom: 24px;
    }

    .news-block {
        display: grid;
        grid-template-columns: 1fr 1fr;
        gap: 24px;
        margin-bottom: 24px;
    }
    
    .news-block h2 {
        font-family: Faberge;
        font-weight: 400;
        font-style: italic;
        font-size: 22px;
        line-height: 100%;
        letter-spacing: 0%;
        text-align: center;
        margin-bottom: 22px;
        color:#6B5544;
        text-align: left;
    }
    
    .news-block>div {
        position: relative;
        overflow: hidden;
        border: 1px solid #909F82;
        background:none;
        border-radius: 10px;
        padding: 0px;
        font-size: 16px;
        color: #6B5544;
        text-decoration: none;
        
        text-align: left;
    }
    
    .news-block .news-item {
        padding: 24px 8px;
    }

    footer .container {
        display: grid;
        grid-template-columns: 3fr 1fr;
        gap: 12px;
    }
    footer .container div {
        text-align: left;
        font-family: Montserrat;
        font-weight: 400;
        font-size: 24px;
    }
    .form-address div {
        max-width: 850px;
    }

    .custom-banner {
        width: 500px;
        height:239px;
        display: grid;
        grid-template-columns: auto;
        margin: 1rem 0;
    }

}

@media (min-width: 1200px) {
    .container {
        max-width: 1074px;
    } 
    .main-header .navbar {
        max-width: 1024px;
    }
    .main-banner-inner {
        max-width: 1074px;
    }
    .main-banner-inner h1 {
        color: white;
        font-family: Faberge;
        font-weight: 400;
        font-style: italic;
        font-size: 56px;
        line-height: 100%;
        letter-spacing: 0%;
        text-align: center;

    }
    .main-banner-inner h2 {
        color: white;
        font-family: Montserrat;
        font-weight: 500;
        font-size: 24px;
        line-height: 100%;
        letter-spacing: 0%;
        text-align: center;

    
    }

    .form-address {
        display: grid;
        grid-template-columns: 1fr 1fr;
        gap: 1rem;
    }

    .form-address div {
        max-width: 100%;
    }

    .cart-position-data {
        display: flex;
        align-items: center;
        flex-direction: row;
    }

    .cart-position-price {
        display: grid;
        grid-template-columns: 1fr 1fr 1fr;
        align-items: center;

    }
}

@media (min-width: 1400px) { 
    h2 {
        font-size: 54px;
    }
    .container {
        max-width: 1360px;
    } 
    .main-header .navbar {
        max-width: 1360px;
        font-size: 24px;
    }

    .main-banner {
        min-height: 730px;
    }
    .main-banner-inner {
        max-width: 1122px;
    }

    .btn {
        font-size: 24px;
    }
    .feature-grid {
        gap: 48px;
        margin-bottom: 48px;
    }

    .generic-grid {
        gap: 48px;
        margin-bottom: 48px;
    }

    .catalog-grid {
        gap: 48px;
        margin-bottom: 48px;
    }
    .news-block {
        gap: 48px;
        margin-bottom: 48px;
    }
    .custom-banner {
        background-color:#6B5544;
        border-radius: 12px;
        width: 500px;
        height:239px;
        display: grid;
        grid-template-columns: auto;
        overflow: hidden;
        color: white;
        margin-bottom: 1rem;
        background-image: url(/assets/banner.png);
        background-position: right;
        background-repeat: no-repeat;
          background-size: cover;
    }

    .custom-banner-left {
        box-sizing: border-box;
        padding: 16px 16px;
    }

    .custom-banner-left h3 {
        font-family: izhitsa;
        background-color:#6b5544a9;
        text-transform: uppercase;
        font-size: 20px;
        margin-bottom: 1rem;
    }

    .custom-banner-left div {
        margin-bottom: 1rem;
        font-size: 19px;
        max-width: 60%;
    }

    .custom-banner-left .product-btn {
        background-color: #6B5544;
        border-color: #6B5544;
        color: #909F82;
    }
    .custom-banner-left .product-btn:hover {
        background-color: #909F82;
        color: #6B5544;
    }
}